package com.yida.data.job.task;


import com.yida.data.device.feign.studentCard.RemoteStudentCardService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
@Slf4j
public class StudentCardTask {
    private final RemoteStudentCardService remoteStudentCardService;

    /**
     * 更新设备定位
     */
    public void updateCardPos() {
        remoteStudentCardService.updateCardPos();
    }

    /**
     * 更新设备在线状态
     */
    public void updateCardStatus() {
        remoteStudentCardService.updateCardStatus();
    }
}
